Export Cases
curl --request POST \
--url https://api.duvo.ai/v2/queues/{queue_id}/cases/export \
--header 'Content-Type: application/json' \
--data '
{
"format": "json",
"filters": {},
"search": "<string>",
"sort_by": "created_at",
"sort_order": "asc"
}
'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/cases/export"
payload = {
"format": "json",
"filters": {},
"search": "<string>",
"sort_by": "created_at",
"sort_order": "asc"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
format: 'json',
filters: {},
search: '<string>',
sort_by: 'created_at',
sort_order: 'asc'
})
};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/cases/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 123,
"queue_name": "<string>",
"exported_at": "<string>",
"cases": [
{
"title": "<string>",
"data": "<string>",
"priority": "none"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Cases UI
Export Cases
Export a queue’s cases, respecting the same status, severity, priority, label, date-range, json_data field, and free-text filters as the list view. format: "json" (default) returns a re-importable JSON payload; format: "csv" returns a text/csv file with the columns id, title, status, priority, labels, created_at, updated_at, completed_at, postponed_to, data.
POST
/
v2
/
queues
/
{queue_id}
/
cases
/
export
Export Cases
Path Parameters
The queue's unique identifier
Body
application/json
Was this page helpful?